  char val; // Data received from the serial port
            int ledPin = 3; // Set the pin to digital I/O 13
            boolean ledState = LOW; // To toggle our LED

            void setup()
            {
              pinMode(ledPin, OUTPUT); // Set pin as OUTPUT
              // Initialize serial communications at a 9600 baud rate
              Serial.begin(9600);
              establishContact(); // Send a byte to establish contact until receiver responds
            }

            void loop()
            {
              if (Serial.available() > 0) { // If data is available to read,
                val = Serial.read(); // Read it and store it in val

                if (val == '1') // If we get a 1
                {
                  ledState = !ledState; // Flip the ledState
                  digitalWrite(ledPin, ledState);
                }
                delay(100);
              }
              else {
                Serial.println("Hello, I am processing it!"); // Send back a message
                delay(50);
              }
            }

            void establishContact() {
              while (Serial.available() <= 0) {
                Serial.println("A"); // Send a capital A
                delay(300);
              }
            }
        